Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.SubtractionIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
LazyCollection<E>.CachingIterator
org.eclipse.m2m.atl.emftvm.util.LazyCollection.SubtractionIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  LazyCollection<E>

public class LazyCollection.SubtractionIterator extends LazyCollection<E>.CachingIterator
`LazyCollection.ReadOnlyIterator` that returns elements contained in this underlying collection, but not in the other underlying collection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected E`
`next`
`protected boolean`
`nextSet`
`protected final Collection<?>`
`s`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

## Constructor Summary

Constructors
Constructor
Description
`SubtractionIterator(Collection<?> s)`
Creates a new `LazyCollection<E>.SubtractionIterator` on this and `s`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### s

protected final Collection<?> s

### next

protected E next

### nextSet

protected boolean nextSet

## Constructor Details

### SubtractionIterator

public SubtractionIterator(Collection<?> s)
Creates a new `LazyCollection<E>.SubtractionIterator` on this and `s`.

Parameters:
  `s` - the collection to subtract from this

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection<E>.CachingIterator`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Overrides:
  `next` in class `LazyCollection<E>.CachingIterator`